%define major		5
%define api		3
%define libname		%mklibname %{name} %{api} %{major}
%define libnamedev	%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{api}

%define url_ver %(echo %{version} | cut -d "." -f -2)

Summary:	Gnome Docking library
Name:		gdl
Version:	3.22.0
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gnome.org
BuildRequires:	pkgconfig(libxml-2.0) >= 2.2.8
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	gobject-introspection-devel >= 0.6.7
BuildRequires:	intltool
BuildRequires:	gtk-doc

%description
Provides docking features for gtk+. Currently used by anjuta and lumiera.

%package i18n
Summary:        Gnome Docking library - translations
Group:          System/Internationalization
Obsoletes:	%{name} < 3.3.1

%description i18n
Provides docking features for gtk+. Currently used by anjuta and lumiera.

%package -n %{libname}
Group:		System/Libraries
Summary:	Gnome Docking library - shared library
Requires:	%{name}-i18n >= %{version}

%description -n %{libname}
Provides docking features for gtk+. Currently used by anjuta and lumiera.

%package -n %{libnamedev}
Group:		Development/C
Summary:	Gnome Docking library - development components
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Provides docking features for gtk+. Currently used by anjuta and lumiera.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

%find_lang %{name}-%{api}

#we don't want these
find %{buildroot} -name "*.la" -delete

%files i18n -f %{name}-%{api}.lang

%files -n %{libname}
%{_libdir}/libgdl-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Gdl-%{api}.typelib

%files -n %{libnamedev}
%doc README NEWS MAINTAINERS AUTHORS ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gir-1.0/Gdl-%{api}.gir


%changelog
* Sun Sep 18 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1053770
- new version 3.22.0

* Sat Mar 19 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 992960
- new version 3.20.0

* Thu Feb 11 2016 umeabot <umeabot> 3.18.0-2.mga6
+ Revision: 953984
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882648
- new release

* Sun Jun 28 2015 wally <wally> 3.16.0-2.mga6
+ Revision: 847188
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 ovitters <ovitters> 3.16.0-1.mga6
+ Revision: 838291
- new version 3.16.0

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-3.mga5
+ Revision: 745696
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 3.14.0-2.mga5
+ Revision: 731139
- rebuild so that it picks typelib() requires

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719179
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 679461
- Mageia 5 Mass Rebuild

* Sun Sep 14 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 675455
- new version 3.13.92

* Tue Mar 25 2014 dams <dams> 3.12.0-1.mga5
+ Revision: 608699
- new version 3.12.0

* Mon Mar 17 2014 dams <dams> 3.11.92-1.mga5
+ Revision: 604424
- new version 3.11.92

* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536505
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484541
- new version 3.10.0

* Sun Sep 01 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474040
- new version 3.9.91

* Sat May 25 2013 ovitters <ovitters> 3.8.1-1.mga4
+ Revision: 427328
- new version 3.8.1

* Fri Jan 11 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 351152
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 11 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 316988
- new version 3.6.2

* Wed Sep 26 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 298468
- new version 3.6.0

* Thu Sep 06 2012 fwang <fwang> 3.5.91-1.mga3
+ Revision: 288720
- update libmajor

  + ovitters <ovitters>
    - new version 3.5.91

* Mon Aug 06 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279408
- new version 3.5.5

* Fri Jul 27 2012 fwang <fwang> 3.5.4-1.mga3
+ Revision: 274888
- update libmajor

  + ovitters <ovitters>
    - new version 3.5.4

* Sun Jul 15 2012 wally <wally> 3.5.3-1.mga3
+ Revision: 271100
- new major 0

  + ovitters <ovitters>
    - new version 3.5.3

* Sun Apr 22 2012 ovitters <ovitters> 3.4.2-1.mga2
+ Revision: 232668
- increase major
- new version 3.4.2

* Wed Mar 28 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 227368
- decrease major to 1
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226859
- increase major
- new version 3.4.0

* Tue Mar 06 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 220280
- new version 3.3.91

* Tue Feb 21 2012 fwang <fwang> 3.3.90-1.mga2
+ Revision: 211342
- new version 3.3.90

* Mon Jan 16 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 197042
- new version
- clean spec

* Fri Oct 28 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 159143
- new version 3.1.1
- new major 2
- new subpackage for i18n files
- move docs from main pkg to -devel pkg and remove empty main pkg

* Mon Oct 03 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 151366
- new version 3.2.0
- new version 3.1.4
- add more general provides to -devel package

  + fwang <fwang>
    - new version 3.1.5

* Wed Jul 06 2011 wally <wally> 3.1.2-1.mga2
+ Revision: 119548
- new version 3.1.2
- clean .spec a bit

* Tue Jun 21 2011 dmorgan <dmorgan> 3.0.2-2.mga2
+ Revision: 111123
- Split girepository file on its own package

* Tue Jun 21 2011 fwang <fwang> 3.0.2-1.mga2
+ Revision: 111104
- update file list
- new version 3.0.2

* Sun Jan 23 2011 pterjan <pterjan> 2.30.1-1.mga1
+ Revision: 35341
- Drop old stuff
- imported package gdl


* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2011.0
+ Revision: 581880
- update to new version 2.30.1

* Mon Aug 23 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-2mdv2011.0
+ Revision: 572413
- revert to 2.30.0

* Fri Jul 30 2010 Götz Waschk <waschk@mandriva.org> 2.31.3-1mdv2011.0
+ Revision: 563500
- update build deps
- new version
- add introspection support

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528771
- update to new version 2.30.0

* Tue Mar 09 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 516897
- update to new version 2.29.92

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.29.2-1mdv2010.1
+ Revision: 475374
- update to new version 2.29.2

* Tue Nov 24 2009 Götz Waschk <waschk@mandriva.org> 2.28.2-1mdv2010.1
+ Revision: 469772
- update to new version 2.28.2

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458786
- Release 2.28.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446959
- new version
- new major

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 437461
- update to new version 2.27.92

* Sun Jun 14 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 385938
- new version
- drop patch

* Wed May 27 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-2mdv2010.0
+ Revision: 380137
- readd a removed header

* Wed May 27 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 380106
- new version
- new major

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 374188
- new version
- drop patch

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356171
- update to new version 2.26.0

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347462
- update to new version 2.25.92

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 341347
- new version
- fix format strings

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.24.0-2mdv2009.1
+ Revision: 301479
- rebuilt against new libxcb

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286819
- new version
- fix license
- update file list

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 274126
- new version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.7.11-2mdv2009.0
+ Revision: 221045
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Mar 09 2008 Götz Waschk <waschk@mandriva.org> 0.7.11-1mdv2008.1
+ Revision: 183049
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 0.7.10-1mdv2008.1
+ Revision: 174976
- new version

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 0.7.9-1mdv2008.1
+ Revision: 165505
- remove rpath
- new version
- update file list

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 0.7.8-1mdv2008.1
+ Revision: 159195
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 0.7.7-1mdv2008.0
+ Revision: 63174
- new version
- new devel name

* Fri Jun 22 2007 Götz Waschk <waschk@mandriva.org> 0.7.6-1mdv2008.0
+ Revision: 42953
- new version

* Sun May 06 2007 Götz Waschk <waschk@mandriva.org> 0.7.5-1mdv2008.0
+ Revision: 23723
- new version

* Sun May 06 2007 Götz Waschk <waschk@mandriva.org> 0.7.4-1mdv2008.0
+ Revision: 23689
- new version


* Thu Mar 29 2007 Götz Waschk <waschk@mandriva.org> 0.7.3-1mdv2007.1
+ Revision: 149353
- new version
- move ChangeLog to devel package

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 0.7.2-1mdv2007.1
+ Revision: 118849
- new version

* Thu Jan 18 2007 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2007.1
+ Revision: 110392
- new version

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 0.7.0-1mdv2007.1
+ Revision: 108731
- new version
- update file list

* Mon Dec 18 2006 Christiaan Welvaart <spturtle@mandriva.org> 0.6.1-3mdv2007.1
+ Revision: 98431
- rebuild to fix .la file in ppc -devel package
- Import gdl

* Tue Aug 01 2006 Götz Waschk <waschk@mandriva.org> 0.6.1-1mdv2007.0
- Rebuild

* Tue May 16 2006 Götz Waschk <waschk@mandriva.org> 0.6.1-1mdk
- New release 0.6.1
- use mkrel

* Tue Jun 28 2005 Gtz Waschk <waschk@mandriva.org> 0.6.0-1mdk
- update file list
- new version

* Wed May 18 2005 Gtz Waschk <waschk@mandriva.org> 0.5.0-1mdk
- initial package

